Description

CRISTIANE

Tenho visto muitas situações de pedidos de medicamentos duplicados, isto é, a unidade faz um pedido e logo e seguida faz outro.

Às vezes iguais ao anterior, às vezes diferente.

Vocês tem uma ideia de como o sistema poderia controlar estes pedidos duplicados?

Tem algumas situações que eu acho relevantes:

1.       O usuário pode ter feito um pedido errado, e neste caso ele faz outro para corrigir o anterior (porém o anterior ainda está

válido);

2.       O usuário inadvertidamente pode ter criado o 2º pedido por engano.

Tenho algumas propostas:

1.       Não permitir que se faça um novo pedido enquanto o anterior estiver “Aguardando validação”

2.       Permitir modificar um pedido enquanto este estiver no status de “Aguardando validação”;

MESAGEM DA CRIS:

Oi Ric,

Pois é, algumas vezes eles fazem o pedido duplicado justamente por esses motivos que você disse...

Daí eu cancelo sempre o anterior..

Suas propostas são ótimas! Por mim pode fazer..

Uma pergunta: o usuário com perfil de profissional de saúde ou farmacêutico tem permissão para cancelar o pedido? Se sim, com

que status do pedido ele pode fazer isso?

Ric e Maurício, aproveito para pedir que vocês atualizem a plataforma Brasil treinamento, pois em João Pessoa e ontem em Recife

aconteceram alguns erros antigos que não aocntecem mais na plataforma do Brasil. Por exemplo: o sistema informa que tem uma

quantidade de 700 comp. em estoque e quando o usuário vai dispensar, por exemplo, 50 comp. o sistema informa que não há

quantidade suficiente em estoque. Vocês podem reproduzir esse erro no CMS VERMELHO para verificar o que estou dizendo...

Qualquer dúvida me falem...

MENSAGEM DO RICARDO

Vou combinar com o Maurício estas novas funcionalidades.

Quanto ao perfil, tem que ver na lista de perfis no módulo de administração, pois foi o Jorge e a Quilma que criaram os perfis.

Mas respondendo a sua pergunta,

•    O usuário que criou o pedido pode excluí-lo enquanto ele estiver em “Aguardando autorização”;

•    O pedido só pode ser cancelado quando ele foi autorizado ou está para ser enviado, mas apenas o pessoal do nível central (tem

que ver se está assim nos perfis);

Quanto ao problema no treinamento, deve ser o banco que deve estar com os dados corrompidos por alguma versão do passado.

Vou dar uma olhadinha nisso amanhã.
History

#1 - 07/26/2012 02:54 PM - Ricardo Memoria

- Target version deleted (Version 2.1)

#2 - 09/13/2012 03:39 PM - Maurício Dos Santos

- Priority changed from Normal to High

#3 - 10/17/2012 10:24 AM - Maurício Dos Santos

- Status changed from New to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

Ricardo,

Qual das duas propostas será desenvolvido?

1. Não permitir que se faça um novo pedido enquanto o anterior estiver “Aguardando validação”

2. Permitir modificar um pedido enquanto este estiver no status de “Aguardando validação”;

Acho mais seguro e prático de fazer a primeira... Se for a primeira, como o usuario será bloqueado? O link de novo pedido ficara oculto? O usuario

será alertado ao tentar salvar um novo pedido? O sistema perguntará se o usuario quer remover o anterior e salvar o novo por cima?

#4 - 11/04/2012 04:49 PM - Ricardo Memoria

- Status changed from Feedback to Rejected

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

Oi Maurício,

As duas serão implementadas. Estou fechando esta ocorrência e abrindo 2 novas:

#236 - Impedir que usuário envie novo pedido caso haja um outro em andamento para a sua unidade

#237 - Permitir que usuário edite o pedido enquanto estiver no estado "Aguardando autorização"
